Subject: [Bier] I-D Action: draft-ietf-bier-te-arch-04.txt

From: [email-masked]
Date: Wed, 23 Oct 2019 07:16:38 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Bit Indexed Explicit Replication WG of the IETF.

        Title           : Traffic Engineering for Bit Index Explicit Replication (BIER-TE)
        Authors         : Toerless Eckert
                          Gregory Cauchie
                          Michael Menth
	Filename        : draft-ietf-bier-te-arch-04.txt
	Pages           : 40
	Date            : 2019-10-23

Abstract:
   This memo introduces per-packet stateless strict and loose path
   engineered replication and forwarding for Bit Index Explicit
   Replication packets ([RFC8279]).  This is called BIER-TE.

   BIER-TE leverages the BIER architecture ([RFC8279]) and extends it
   with a new semantic for bits in the bitstring.  BIER-TE can leverage
   BIER forwarding engines with little or no changes.

   In BIER, the BitPositions (BP) of the packets bitstring indicate BIER
   Forwarding Egress Routers (BFER), and hop-by-hop forwarding uses a
   Routing Underlay such as an IGP.

   In BIER-TE, BitPositions indicate adjacencies.  The BIFT of each BFR
   are only populated with BPs that are adjacent to the BFR in the BIER-
   TE topology.  The BIER-TE topology can consist of layer 2 or remote
   (route) adjacencies.  The BFR then replicates and forwards BIER
   packets to those adjacencies.  This results in the aforementioned
   strict and loose path forwarding.

   BIER-TE can co-exist with BIER forwarding in the same domain, for
   example by using separate sub-domains.  In the absence of routed
   adjacencies, BIER-TE does not require a BIER routing underlay, and
   can then be operated without requiring an IGP routing protocol.

   BIER-TE operates without explicit in-network tree-building and
   carries the multicast distribution tree in the packet header.  It can
   therefore be a good fit to support multicast path steering in Segment
   Routing (SR) networks.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-bier-te-arch/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-bier-te-arch-04
https://datatracker.ietf.org/doc/html/draft-ietf-bier-te-arch-04

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-bier-te-arch-04

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Toerless Eckert <[email-masked]>
Date: Wed, 23 Oct 2019 16:34:01 +0200

Just posted -04 of subject draft including feedback for reviews by Dirk and (delayed, mea culpa) Sandy.

More reviews gratiously welcome!

Diff is here:

http://tools.ietf.org//rfcdiff?url1=http://tools.ietf.org/id/draft-ietf-bier-te-arch-03.txt&url2=http://tools.ietf.org/id/draft-ietf-bier-te-arch-04.txt

To summarize the  non-syntactic changes:

-> Intro adds paragraph refering to related work using bloom filters and why this BIER-TE does not use them.
-> Changed "Layers" to "Components in architecture (2.) Defined "BIER-TE control plane" to be inclusive of BIER-TE controller host.
-> Reference to bier-multicast-http-response as example for 2.2.3 BIER-TE per-flow state management.
-> Added note about DNR to forwarding layer text (2.3)
-> Suggest to remove section 3.4 (example) - since -03, better?! example in 1.1 should be sufficient
-> Expand explanations of ECMP in 4.7: State that this doc does not specify a standard, but gives an example. Then refined the explanatory text to use two seeds (seed1, seed2) to show how the seed overcomes the polarization.

Cheers
    Toerless

On Wed, Oct 23, 2019 at 07:16:38AM -0700, [email-masked] wrote:
> _______________________________________________
> BIER mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/bier